# base compose file for USAS preview release
usasdb:
  restart: always
  image: docker.ssdt.io/ssdt-postgres:2
  volumes:
    - ./backup:/backup
  environment:
    - DB_NAME=usasdb
    - DB_USER=usas
    - DB_PASS=usasdefault
usasapp:
  restart: always
  image: docker.ssdt.io/usas-app:preview
  volumes:
    - ./config:/config

  environment:
    - DB_HOST=database
    - DB_NAME=$${DATABASE_ENV_DB_NAME}
    - DB_USER=$${DATABASE_ENV_DB_USER}
    - DB_PASS=$${DATABASE_ENV_DB_PASS}
